function [xm,sf] = stdFehler( xFile ) 

   fid = fopen( xFile, 'r' );
   if( fid < 0 )
      return; 
   end

   n = 0;
   x = NaN;
   weiter = 1; % Flag als Merker, ob Datei-Ende erreicht ist 
   while( weiter )
     d = fgetl( fid );
     if( d == -1 )     % Datei-Ende erreicht, falls tline = -1 
       weiter = 0;     % Flag zum Beenden setzen 
     else
	   n = n + 1;
	   x(n) = str2double( d );  % Text in Zahl wandeln 
	 end
   end   
      
   % xm = sum( x ) / n;   
   % ODER : 
   xm = mean( x );
   
   % xstd = sqrt( sum( (x-xm).^2 ) / (n-1) );
   % ODER: 
   xstd = std( x ); 
   
   % Standardfehler: 
   sf = xstd / sqrt( n );   

end
