%
%  Mgliche Aufrufe zur Klasse Auto: 
%  >> y = Auto( 'VW_Golf', 2010 )
%  >> y = y.beschleunigen( 30 )
%  >> y.benzin 
%
classdef Auto   % Start der Definition der Klasse "Auto" 
  
  properties    % Beginn der Eigenschaften der Klasse "Auto"
    typ = '';       % Eigenschaften initialisiert mit leeren Werten
    baujahr = [];
    kilometer = [];
    geschwindigkeit = [];
    benzin = [];
  end  % Ende der properties

  methods  % Beginn der Methoden (Funktionen) der Klasse
    % Konstruktor der Klasse "Auto": 
    function obj = Auto( typ, baujahr )
      obj.typ = typ;
      obj.baujahr = baujahr;
      obj.kilometer = 0;          % 0 km
      obj.geschwindigkeit = 100;  % 100 km/h
      obj.benzin = 20;            % 20 Liter im Tank
    end  % Ende des Konstruktors 
    
    % weitere Methode "beschleunigen": 
    function obj = beschleunigen( obj, wieviel )
      neueGeschwindigkeit = obj.geschwindigkeit + wieviel;
      obj.geschwindigkeit = neueGeschwindigkeit;
    end  % Ende von beschleunigen 
    
%     % Weitere mgliche Methode "disp" (auskommentiert)    
%     function disp( obj )
%       fprintf( 'Objekt der Klasse Auto: \n' );
%       fprintf( '   typ = %s;\n', obj.typ );
%       fprintf( '   geschwindigkeit = %g;\n', obj.geschwindigkeit );
%     end
	
  end  % Ende der methods
  
end  % Ende der Klasse (classdef)
