function [t,y] = xlsAmplitudes( filename, f0, tm, SR )
  % Excel-Datei einlesen 
  A = xlsread( filename );
  anz = length( A );    % Anzahl der Amplituden
  
  t = 0:1/SR:tm;        % Zeit-Intervall 

  % Beitrge aufsummieren 
  y = 0;
  for( n=1:anz )
    y = y + A(n)*sin(2*pi*n*f0*t);
  end
