function Biegelinie()  

   L = 0.90;    % m 
   E = 0.2e12;  % N/m^2 
   I = 0.1e-9;  % m^4
   
   fprintf( 'Durchbiegung w/mm:  \n' );
   fprintf( ' \\x/m:' );
   for( x = 0.00 : 0.15 : 0.45 )
      fprintf( '%5.2f | ', x );  
   end
   fprintf( '\n' );
   fprintf( 'F/N \\ -------------------------------\n' );
   
   for( F = 0 : 5 : 20 )
      fprintf( ' %2d : ', F ); 
      for( x = 0.00 : 0.15 : 0.45 )
         w = 1e3 * F / ( 48*E*I ) * x * ( 3*L^2 - 4*x^2 );  % in mm 
         fprintf( '%5.1f | ', w ); 
      end
      fprintf( '\n' );
   end