function signal5( f0, tm, SR )
   t = 0 : 1/SR : tm;

   % Array y mit Funktionswerten an den t-Sttzpunkten
   y = sin(2*pi*f0*t) + 1/5*sin(2*pi*2*f0*t) +  1/4*sin(2*pi*3*f0*t) - ... 
       1/4*sin(2*pi*4*f0*t) + 1/3*sin(2*pi*5*f0*t);

   % T = 1/f0: Dauer einer Schwingung, 10/f0: 10 Schwingungen  
   tp = 10 / f0;
   yp = 1.1 * max( y );
   
   % Ausgabe der Funktion als 2D-Plot
   plot( t, y );
   axis( [0 tp -yp yp] ) % fester Ausgabebereich
